commit:     5103884b8f4d11dfe9aa4b1989065745396f932b
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Thu May 28 14:00:57 2020 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu May 28 14:01:32 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5103884b

dev-libs/libfstrcmp: Delete libtool archives and static libraries

Closes: https://bugs.gentoo.org/725876
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-libs/libfstrcmp/libfstrcmp-0.7-r1.ebuild | 44 ++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/dev-libs/libfstrcmp/libfstrcmp-0.7-r1.ebuild 
b/dev-libs/libfstrcmp/libfstrcmp-0.7-r1.ebuild
new file mode 100644
index 00000000000..d56c71db588
--- /dev/null
+++ b/dev-libs/libfstrcmp/libfstrcmp-0.7-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Make fuzzy comparisons of strings and byte arrays"
+HOMEPAGE="http://fstrcmp.sourceforge.net/";
+
+LICENSE="GPL-3+"
+IUSE="doc static-libs test"
+SLOT="0"
+
+SRC_URI="http://fstrcmp.sourceforge.net/fstrcmp-0.7.D001.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/fstrcmp-0.7.D001"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+       sys-apps/groff
+       doc? ( app-text/ghostscript-gpl )
+       test? ( app-text/ghostscript-gpl )
+"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_compile() {
+       emake all-bin
+       use doc && emake all-doc
+}
+
+src_install() {
+       emake DESTDIR="${D}" install-bin install-include install-libdir 
install-man
+       find "${D}" -name '*.la' -delete || die
+       if ! use static-libs ; then
+               find "${D}" -name '*.a' -delete || die
+       fi
+       use doc && emake DESTDIR="${D}" install-doc
+       einstalldocs
+}

Reply via email to